/*
 * Created by SharpDevelop.
 * User: grunwald
 * Date: 26.07.2006
 * Time: 10:12
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */

using System;
using PPJ.Runtime;
using PPJ.Runtime.Scripting;

namespace ScaeParser
{
	public class SalNumberLit : Literal
	{
		private SalNumber m_value;

		public static readonly SalNumberLit Zero = new SalNumberLit(0, new Location(0, 0));
		public static readonly SalNumberLit One = new SalNumberLit(1, new Location(0, 0));

		public SalNumberLit(SalNumber v, Location location) : base(typeof(SalNumber), location)
		{
			m_value = v;
		}

		public override object Value
		{
			get { return m_value; }
		}
	}
}
