/*
 * Created by SharpDevelop.
 * User: grunwald
 * Date: 24.07.2006
 * Time: 16:24
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */

using System;

namespace ScaeParser
{
	/// <summary>
	/// List of error text constants
	/// </summary>
	internal static class Errors
	{
		public const string UnknownCharacter = "Unknown character: '{0}'";
		public const string IdentifierTooLong = "Identifier is too long";
		public const string EndOfFileInsideStringLiteral = "Reached end of string inside string literal";
		public const string InvalidCharacter = "The character '{0}' is not valid at this position";
		public const string InvalidNumberLiteral = "This is not a valid number literal";
		
		public const string ExpectCloseParenthesis = "Expected: operator or ')'";
		public const string ExpectEndOfExpression = "Expected: end of expression";
		public const string ExpectAssign = "Expected: '='";
		public const string ExpectLiteralOrVariable = "Expected: variable name or literal";
		public const string ExpectIdentifierAfterDot = "After '.', an identifier must follow";
		public const string ExpectCommaOrCloseParenthesis = "Expected: ',' or ')'";
		public const string ExpectCommaOrCloseBracket = "Expected: ',' or ']'";
	}
}
